Name: H5Epush
Signature:
  herr_t `H5Epush`( const char *`file`, const char *`func`, unsigned `line`, H5E_major_t `maj_num`, H5E_minor_t `min_num`, const char *`str` )
Purpose:
  Pushes new error record onto error stack.
Description:
  `H5Epush` pushes a new error record onto the error stack for the current thread.

  The error has major and minor numbers `maj_num` and `min_num`, the function `func` where the error was detected, the name of the file `file` where the error was detected, the line `line` within that file, and an error description string `str`.

  The function name, file name, and error description strings must be statically allocated.

Parameters:

const char *`file`, | IN: Name of the file in which the error was detected.
const char *`func`, | IN: Name of the function in which the error was detected.
unsigned `line`, | IN: Line within the file at which the error was detected.
H5E_major_t `maj_num,` | IN: Major error number.
H5E_minor_t `min_num`, | IN: Minor error number.
const char *`str` | IN: Error description string.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface:
  None.
History:

Release | C
1.4.0 | Function introduced in this release.